package com.progetto.VEBS.model.dto;

import org.locationtech.jts.geom.Geometry;

import com.progetto.VEBS.model.entity.AreaBlu;

public class IngressoAreaBluDTO {

	private Integer id_ingresso;
	private String nome;
    private Geometry geometria;
    private AreaBlu area_blu;


    public void IngressoAreaBluDTO() {}
    
    public void IngressoAreaBluDTO(Integer id_ingresso, String nome,  Geometry geometria, AreaBlu area_blu) {
    	this.id_ingresso = id_ingresso;
    	this.nome = nome;
    	this.geometria = geometria;
    	this.area_blu = area_blu;
    }

    // Getter e Setter
    public Integer getId() {
        return id_ingresso;
    }

    public void setId(Integer id_ingresso) {
        this.id_ingresso = id_ingresso;
    }

    public String getNome() {
        return nome;
    }

    public void setNome(String nome) {
        this.nome = nome;
    }

    public Geometry getGeometry() {
        return geometria;
    }

    public void setGeometry(Geometry geometria) {
        this.geometria = geometria;
    }

    public AreaBlu getAreaBlu() {
        return area_blu;
    }

    public void setAreaBlu(AreaBlu area_blu) {
        this.area_blu = area_blu;
    }

}
